"""
Import all possible stuff that can be used.
"""

# pylint: disable=unused-import
# pylint: disable=redefined-builtin
from .constants import *  # pylint: disable=unused-wildcard-import
from .reader import (
    HeifFile,
    UndecodedHeifFile,
    HeifThumbnail,
    UndecodedHeifThumbnail,
    is_supported,
    check_heif,
    read_heif,
    open_heif,
    check,
    read,
    open,
)
from .writer import write_heif
from .error import HeifError
from .as_opener import register_heif_opener, check_heif_magic, HeifImageFile
from ._version import __version__
from ._lib_info import libheif_version, have_decoder_for_format, have_encoder_for_format, libheif_info
from ._options import options
